Name:           perl-Data-Dump
Version:        1.23
Release:        10
Summary:        Pretty printing of data structures
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Data-Dump
Source0:        https://cpan.metacpan.org/authors/id/G/GA/GAAS/Data-Dump-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  make perl-interpreter perl-generators perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(base) perl(Carp) perl(Exporter) perl(MIME::Base64) perl(overload)
BuildRequires:  perl(strict) perl(subs) perl(vars) perl(warnings) perl(IO::Socket::INET)
BuildRequires:  perl(Symbol) perl(Test) perl(Test::More)

Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))

Suggests:       perl(MIME::Base64)

%description
This module provide a few functions that traverse their argument and produces a string as its result.
The string contains Perl code that, when evaled, produces a deep copy of the original arguments.

%prep
%autosetup -n Data-Dump-%{version} -p1

%build
perl Makefile.PL  INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*
%exclude %{_libdir}/perl5/perllocal.pod

%changelog
* Fri Oct 25 2019 huzhiyu <huzhiyu1@huawei.com> - 1.23-10
- Package init
